Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network235.83.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
235.83.0.0
Broadcast address
235.83.31.255
First usable
235.83.0.1
Last usable
235.83.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EB530000 · Integer 3948085248 to 3948093439
Reverse DNS zones
0.83.235.in-addr.arpa
1.83.235.in-addr.arpa
2.83.235.in-addr.arpa
3.83.235.in-addr.arpa
4.83.235.in-addr.arpa
5.83.235.in-addr.arpa
6.83.235.in-addr.arpa
7.83.235.in-addr.arpa
8.83.235.in-addr.arpa
9.83.235.in-addr.arpa
10.83.235.in-addr.arpa
11.83.235.in-addr.arpa
12.83.235.in-addr.arpa
13.83.235.in-addr.arpa
14.83.235.in-addr.arpa
15.83.235.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101011.01010011.00000000.00000000235.83.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11101011.01010011.00000000.00000000235.83.0.0
Broadcast11101011.01010011.00011111.11111111235.83.31.255
Split into smaller subnets/26

235.83.0.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1235.83.0.0/26235.83.0.1 to 235.83.0.62235.83.0.6362
2235.83.0.64/26235.83.0.65 to 235.83.0.126235.83.0.12762
3235.83.0.128/26235.83.0.129 to 235.83.0.190235.83.0.19162
4235.83.0.192/26235.83.0.193 to 235.83.0.254235.83.0.25562
5235.83.1.0/26235.83.1.1 to 235.83.1.62235.83.1.6362
6235.83.1.64/26235.83.1.65 to 235.83.1.126235.83.1.12762
7235.83.1.128/26235.83.1.129 to 235.83.1.190235.83.1.19162
8235.83.1.192/26235.83.1.193 to 235.83.1.254235.83.1.25562
9235.83.2.0/26235.83.2.1 to 235.83.2.62235.83.2.6362
10235.83.2.64/26235.83.2.65 to 235.83.2.126235.83.2.12762
11235.83.2.128/26235.83.2.129 to 235.83.2.190235.83.2.19162
12235.83.2.192/26235.83.2.193 to 235.83.2.254235.83.2.25562
13235.83.3.0/26235.83.3.1 to 235.83.3.62235.83.3.6362
14235.83.3.64/26235.83.3.65 to 235.83.3.126235.83.3.12762
15235.83.3.128/26235.83.3.129 to 235.83.3.190235.83.3.19162
16235.83.3.192/26235.83.3.193 to 235.83.3.254235.83.3.25562
17235.83.4.0/26235.83.4.1 to 235.83.4.62235.83.4.6362
18235.83.4.64/26235.83.4.65 to 235.83.4.126235.83.4.12762
19235.83.4.128/26235.83.4.129 to 235.83.4.190235.83.4.19162
20235.83.4.192/26235.83.4.193 to 235.83.4.254235.83.4.25562
21235.83.5.0/26235.83.5.1 to 235.83.5.62235.83.5.6362
22235.83.5.64/26235.83.5.65 to 235.83.5.126235.83.5.12762
23235.83.5.128/26235.83.5.129 to 235.83.5.190235.83.5.19162
24235.83.5.192/26235.83.5.193 to 235.83.5.254235.83.5.25562
25235.83.6.0/26235.83.6.1 to 235.83.6.62235.83.6.6362
26235.83.6.64/26235.83.6.65 to 235.83.6.126235.83.6.12762
27235.83.6.128/26235.83.6.129 to 235.83.6.190235.83.6.19162
28235.83.6.192/26235.83.6.193 to 235.83.6.254235.83.6.25562
29235.83.7.0/26235.83.7.1 to 235.83.7.62235.83.7.6362
30235.83.7.64/26235.83.7.65 to 235.83.7.126235.83.7.12762
31235.83.7.128/26235.83.7.129 to 235.83.7.190235.83.7.19162
32235.83.7.192/26235.83.7.193 to 235.83.7.254235.83.7.25562
33235.83.8.0/26235.83.8.1 to 235.83.8.62235.83.8.6362
34235.83.8.64/26235.83.8.65 to 235.83.8.126235.83.8.12762
35235.83.8.128/26235.83.8.129 to 235.83.8.190235.83.8.19162
36235.83.8.192/26235.83.8.193 to 235.83.8.254235.83.8.25562
37235.83.9.0/26235.83.9.1 to 235.83.9.62235.83.9.6362
38235.83.9.64/26235.83.9.65 to 235.83.9.126235.83.9.12762
39235.83.9.128/26235.83.9.129 to 235.83.9.190235.83.9.19162
40235.83.9.192/26235.83.9.193 to 235.83.9.254235.83.9.25562
41235.83.10.0/26235.83.10.1 to 235.83.10.62235.83.10.6362
42235.83.10.64/26235.83.10.65 to 235.83.10.126235.83.10.12762
43235.83.10.128/26235.83.10.129 to 235.83.10.190235.83.10.19162
44235.83.10.192/26235.83.10.193 to 235.83.10.254235.83.10.25562
45235.83.11.0/26235.83.11.1 to 235.83.11.62235.83.11.6362
46235.83.11.64/26235.83.11.65 to 235.83.11.126235.83.11.12762
47235.83.11.128/26235.83.11.129 to 235.83.11.190235.83.11.19162
48235.83.11.192/26235.83.11.193 to 235.83.11.254235.83.11.25562
49235.83.12.0/26235.83.12.1 to 235.83.12.62235.83.12.6362
50235.83.12.64/26235.83.12.65 to 235.83.12.126235.83.12.12762
51235.83.12.128/26235.83.12.129 to 235.83.12.190235.83.12.19162
52235.83.12.192/26235.83.12.193 to 235.83.12.254235.83.12.25562
53235.83.13.0/26235.83.13.1 to 235.83.13.62235.83.13.6362
54235.83.13.64/26235.83.13.65 to 235.83.13.126235.83.13.12762
55235.83.13.128/26235.83.13.129 to 235.83.13.190235.83.13.19162
56235.83.13.192/26235.83.13.193 to 235.83.13.254235.83.13.25562
57235.83.14.0/26235.83.14.1 to 235.83.14.62235.83.14.6362
58235.83.14.64/26235.83.14.65 to 235.83.14.126235.83.14.12762
59235.83.14.128/26235.83.14.129 to 235.83.14.190235.83.14.19162
60235.83.14.192/26235.83.14.193 to 235.83.14.254235.83.14.25562
61235.83.15.0/26235.83.15.1 to 235.83.15.62235.83.15.6362
62235.83.15.64/26235.83.15.65 to 235.83.15.126235.83.15.12762
63235.83.15.128/26235.83.15.129 to 235.83.15.190235.83.15.19162
64235.83.15.192/26235.83.15.193 to 235.83.15.254235.83.15.25562
65235.83.16.0/26235.83.16.1 to 235.83.16.62235.83.16.6362
66235.83.16.64/26235.83.16.65 to 235.83.16.126235.83.16.12762
67235.83.16.128/26235.83.16.129 to 235.83.16.190235.83.16.19162
68235.83.16.192/26235.83.16.193 to 235.83.16.254235.83.16.25562
69235.83.17.0/26235.83.17.1 to 235.83.17.62235.83.17.6362
70235.83.17.64/26235.83.17.65 to 235.83.17.126235.83.17.12762
71235.83.17.128/26235.83.17.129 to 235.83.17.190235.83.17.19162
72235.83.17.192/26235.83.17.193 to 235.83.17.254235.83.17.25562
73235.83.18.0/26235.83.18.1 to 235.83.18.62235.83.18.6362
74235.83.18.64/26235.83.18.65 to 235.83.18.126235.83.18.12762
75235.83.18.128/26235.83.18.129 to 235.83.18.190235.83.18.19162
76235.83.18.192/26235.83.18.193 to 235.83.18.254235.83.18.25562
77235.83.19.0/26235.83.19.1 to 235.83.19.62235.83.19.6362
78235.83.19.64/26235.83.19.65 to 235.83.19.126235.83.19.12762
79235.83.19.128/26235.83.19.129 to 235.83.19.190235.83.19.19162
80235.83.19.192/26235.83.19.193 to 235.83.19.254235.83.19.25562
81235.83.20.0/26235.83.20.1 to 235.83.20.62235.83.20.6362
82235.83.20.64/26235.83.20.65 to 235.83.20.126235.83.20.12762
83235.83.20.128/26235.83.20.129 to 235.83.20.190235.83.20.19162
84235.83.20.192/26235.83.20.193 to 235.83.20.254235.83.20.25562
85235.83.21.0/26235.83.21.1 to 235.83.21.62235.83.21.6362
86235.83.21.64/26235.83.21.65 to 235.83.21.126235.83.21.12762
87235.83.21.128/26235.83.21.129 to 235.83.21.190235.83.21.19162
88235.83.21.192/26235.83.21.193 to 235.83.21.254235.83.21.25562
89235.83.22.0/26235.83.22.1 to 235.83.22.62235.83.22.6362
90235.83.22.64/26235.83.22.65 to 235.83.22.126235.83.22.12762
91235.83.22.128/26235.83.22.129 to 235.83.22.190235.83.22.19162
92235.83.22.192/26235.83.22.193 to 235.83.22.254235.83.22.25562
93235.83.23.0/26235.83.23.1 to 235.83.23.62235.83.23.6362
94235.83.23.64/26235.83.23.65 to 235.83.23.126235.83.23.12762
95235.83.23.128/26235.83.23.129 to 235.83.23.190235.83.23.19162
96235.83.23.192/26235.83.23.193 to 235.83.23.254235.83.23.25562
97235.83.24.0/26235.83.24.1 to 235.83.24.62235.83.24.6362
98235.83.24.64/26235.83.24.65 to 235.83.24.126235.83.24.12762
99235.83.24.128/26235.83.24.129 to 235.83.24.190235.83.24.19162
100235.83.24.192/26235.83.24.193 to 235.83.24.254235.83.24.25562
101235.83.25.0/26235.83.25.1 to 235.83.25.62235.83.25.6362
102235.83.25.64/26235.83.25.65 to 235.83.25.126235.83.25.12762
103235.83.25.128/26235.83.25.129 to 235.83.25.190235.83.25.19162
104235.83.25.192/26235.83.25.193 to 235.83.25.254235.83.25.25562
105235.83.26.0/26235.83.26.1 to 235.83.26.62235.83.26.6362
106235.83.26.64/26235.83.26.65 to 235.83.26.126235.83.26.12762
107235.83.26.128/26235.83.26.129 to 235.83.26.190235.83.26.19162
108235.83.26.192/26235.83.26.193 to 235.83.26.254235.83.26.25562
109235.83.27.0/26235.83.27.1 to 235.83.27.62235.83.27.6362
110235.83.27.64/26235.83.27.65 to 235.83.27.126235.83.27.12762
111235.83.27.128/26235.83.27.129 to 235.83.27.190235.83.27.19162
112235.83.27.192/26235.83.27.193 to 235.83.27.254235.83.27.25562
113235.83.28.0/26235.83.28.1 to 235.83.28.62235.83.28.6362
114235.83.28.64/26235.83.28.65 to 235.83.28.126235.83.28.12762
115235.83.28.128/26235.83.28.129 to 235.83.28.190235.83.28.19162
116235.83.28.192/26235.83.28.193 to 235.83.28.254235.83.28.25562
117235.83.29.0/26235.83.29.1 to 235.83.29.62235.83.29.6362
118235.83.29.64/26235.83.29.65 to 235.83.29.126235.83.29.12762
119235.83.29.128/26235.83.29.129 to 235.83.29.190235.83.29.19162
120235.83.29.192/26235.83.29.193 to 235.83.29.254235.83.29.25562
121235.83.30.0/26235.83.30.1 to 235.83.30.62235.83.30.6362
122235.83.30.64/26235.83.30.65 to 235.83.30.126235.83.30.12762
123235.83.30.128/26235.83.30.129 to 235.83.30.190235.83.30.19162
124235.83.30.192/26235.83.30.193 to 235.83.30.254235.83.30.25562
125235.83.31.0/26235.83.31.1 to 235.83.31.62235.83.31.6362
126235.83.31.64/26235.83.31.65 to 235.83.31.126235.83.31.12762
127235.83.31.128/26235.83.31.129 to 235.83.31.190235.83.31.19162
128235.83.31.192/26235.83.31.193 to 235.83.31.254235.83.31.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses